package com.mogo.cloud.socket.entity;

/**
 * AI云平台 长链消息数据包装体对象
 */
public class MsgBody {

    /**
     * 消息类型
     */
    private int mMsgType;

    /**
     * 是否回执
     */
    private boolean mAck = false;

    /**
     * 消息ID
     */
    private final long mMsgId = System.currentTimeMillis();

    /**
     * 消息内容
     */
    private byte[] mContent;

    public MsgBody msgType(int msgType) {
        this.mMsgType = msgType;
        return this;
    }

    public MsgBody ack(boolean ack) {
        this.mAck = ack;
        return this;
    }

    public MsgBody content(byte[] object) {
        this.mContent = object;
        return this;
    }

    public int getMsgType() {
        return mMsgType;
    }

    public boolean isAck() {
        return mAck;
    }

    public long getMsgId() {
        return mMsgId;
    }

    public byte[] getContent() {
        return mContent;
    }
}
